# neurorosettes
> An agent-based framework to model the formation of rosette patterns in tissues of the nervous system

`neurorosettes` is a Python package that implements agent-based modelling to study the formation of rosette patterns in tissues
during neuronal development. It is built on top of the `vedo` package (version 2022.1.0), which provides an interface
to plot 3D objects using VTK, to prioritize the visualization of the simulations in real time, without requiring additional processing.

## Installation

The package can be downloaded through pip using `pip install neurorosettes`.

## Usage

`neurorosettes` offers multiple modules to simulate and test new biological hypothesis, such as:
- Cell cycle and death;
- Creation and extension of neuronal processes;
- Physical interactions between cell bodies and neuronal processes;